package com.tuoheng.admin.controller;

import com.tuoheng.admin.query.RoleClientQuery;
import com.tuoheng.admin.service.permissions.OpPermissionsService;
import com.tuoheng.common.core.common.BaseController;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ChengWang
 * @Date 2022/12/16
 */

@RestController
@RequestMapping("/permission")
public class PermissionController{

    @Autowired
    private OpPermissionsService permissionService;

    /**
     * 根据 RoleId 获取用户权限
     *
     * @return
     */
    @GetMapping("/getRolePermission")
    public JsonResult getMenuAndPermissionByRoleId(RoleClientQuery query) {
        return permissionService.getRolePermissionByRoleId(query);
    }
}
